file(GLOB_RECURSE TEST_SOURCES *.cpp)

add_executable(autoopt-test ${TEST_SOURCES})
target_link_libraries(autoopt-test autoopt gtest gtest_main)

install(TARGETS autoopt-test DESTINATION bin)

include(GoogleTest)

gtest_discover_tests(autoopt-test)